# =========================================================================== #
# Gemspec for Project FindLineInFile.
# =========================================================================== #
require 'find_line_in_file/version/version.rb'

Gem::Specification.new { |s|

  s.name        = 'find_line_in_file'
  s.version     = FindLineInFile::VERSION
  s.date        = Time.now.strftime('%Y-%m-%d')

  s.summary = <<-EOF

    This small class simply gives you the first line
    found if you need to search a file for the occurance
    of a given line.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF
  
  s.description = <<-EOF

    This small class simply gives you the first line
    found if you need to search a file for the occurance
    of a given line.

    This library is called find_line_in_file.

    To use it, do something like:

      FindLineInFile[]

  EOF
  
  s.extra_rdoc_files = %w()
  
  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.files       = Dir['**/*']
  s.license     = 'GPL-2.0'
  s.homepage    = 'http://rubygems.org/gems/find_line_in_file'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'colours'
  s.add_dependency 'cliner'
  s.add_dependency 'opn'

}